org.omg.DynamicAny

## Class DynStructHelper

- java.lang.Object
- - org.omg.DynamicAny.DynStructHelper

-     public abstract class DynStructHelper
      extends Object

  DynStruct objects support the manipulation of IDL struct and exception values. Members of the exceptions are handled in the same way as members of a struct.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynStructHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DynStruct` | `extract(Any a)`
    `static String` | `id()`
    `static void` | `insert(Any a, DynStruct that)`
    `static DynStruct` | `narrow(Object obj)`
    `static DynStruct` | `read(InputStream istream)`
    `static TypeCode` | `type()`
    `static DynStruct` | `unchecked_narrow(Object obj)`
    `static void` | `write(OutputStream ostream, DynStruct value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DynStructHelper

          public DynStructHelper()

  - ### Method Detail

    - #### insert

          public static void insert(Any a,
                    DynStruct that)

    - #### extract

          public static DynStruct extract(Any a)

    - #### type

          public static TypeCode type()

    - #### id

          public static String id()

    - #### read

          public static DynStruct read(InputStream istream)

    - #### write

          public static void write(OutputStream ostream,
                   DynStruct value)

    - #### narrow

          public static DynStruct narrow(Object obj)

    - #### unchecked_narrow

          public static DynStruct unchecked_narrow(Object obj)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.